io.vertx.ext.auth.jwt

## Class JWTKeyStoreOptions

- java.lang.Object
- - io.vertx.ext.auth.jwt.JWTKeyStoreOptions

- Deprecated.
  Keystores are very opinionated and do not properly represent a correct key, please use PEM files or JWKs

      @Deprecated
      public class JWTKeyStoreOptions
      extends Object

  Options describing how an JWT KeyStore should behave.
  Author:
    Paulo Lopes

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JWTKeyStoreOptions()` Deprecated. Default constructor
    `JWTKeyStoreOptions(JsonObject json)` Deprecated. Constructor to create an options from JSON
    `JWTKeyStoreOptions(JWTKeyStoreOptions other)` Deprecated. Copy constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPassword()` Deprecated.
    `String` | `getPath()` Deprecated.
    `String` | `getType()` Deprecated.
    `JWTKeyStoreOptions` | `setPassword(String password)` Deprecated.
    `JWTKeyStoreOptions` | `setPath(String path)` Deprecated.
    `JWTKeyStoreOptions` | `setType(String type)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JWTKeyStoreOptions

          public JWTKeyStoreOptions()

      Deprecated.
      Default constructor

    - #### JWTKeyStoreOptions

          public JWTKeyStoreOptions(JWTKeyStoreOptions other)

      Deprecated.
      Copy constructor
      Parameters:
        `other` - the options to copy

    - #### JWTKeyStoreOptions

          public JWTKeyStoreOptions(JsonObject json)

      Deprecated.
      Constructor to create an options from JSON
      Parameters:
        `json` - the JSON

  - ### Method Detail

    - #### getType

          public String getType()

      Deprecated.

    - #### setType

          public JWTKeyStoreOptions setType(String type)

      Deprecated.

    - #### getPath

          public String getPath()

      Deprecated.

    - #### setPath

          public JWTKeyStoreOptions setPath(String path)

      Deprecated.

    - #### getPassword

          public String getPassword()

      Deprecated.

    - #### setPassword

          public JWTKeyStoreOptions setPassword(String password)

      Deprecated.

Copyright © 2019 Eclipse. All rights reserved.